#ifndef XPARAMETERS_H   /* prevent circular inclusions */
#define XPARAMETERS_H   /* by using protection macros */

/* Definitions for bus frequencies */
#define XPAR_CPU_M_AXI_DP_FREQ_HZ 100000000
/******************************************************************/

/* Canonical definitions for bus frequencies */
/******************************************************************/

#define XPAR_CPU_CORE_CLOCK_FREQ_HZ 100000000
#define XPAR_MICROBLAZE_CORE_CLOCK_FREQ_HZ 100000000

/******************************************************************/


/* Definitions for peripheral MICROBLAZE_0 */
#define XPAR_MICROBLAZE_0_ADDR_SIZE 32
#define XPAR_MICROBLAZE_0_ADDR_TAG_BITS 18
#define XPAR_MICROBLAZE_0_ALLOW_DCACHE_WR 1
#define XPAR_MICROBLAZE_0_ALLOW_ICACHE_WR 1
#define XPAR_MICROBLAZE_0_AREA_OPTIMIZED 0
#define XPAR_MICROBLAZE_0_ASYNC_INTERRUPT 1
#define XPAR_MICROBLAZE_0_ASYNC_WAKEUP 3
#define XPAR_MICROBLAZE_0_AVOID_PRIMITIVES 0
#define XPAR_MICROBLAZE_0_BASE_VECTORS 0x0000000000000000
#define XPAR_MICROBLAZE_0_BRANCH_TARGET_CACHE_SIZE 0
#define XPAR_MICROBLAZE_0_CACHE_BYTE_SIZE 8192
#define XPAR_MICROBLAZE_0_DADDR_SIZE 32
#define XPAR_MICROBLAZE_0_DATA_SIZE 32
#define XPAR_MICROBLAZE_0_DCACHE_ADDR_TAG 18
#define XPAR_MICROBLAZE_0_DCACHE_ALWAYS_USED 1
#define XPAR_MICROBLAZE_0_DCACHE_BASEADDR 0x80000000
#define XPAR_MICROBLAZE_0_DCACHE_BYTE_SIZE 8192
#define XPAR_MICROBLAZE_0_DCACHE_DATA_WIDTH 0
#define XPAR_MICROBLAZE_0_DCACHE_FORCE_TAG_LUTRAM 0
#define XPAR_MICROBLAZE_0_DCACHE_HIGHADDR 0xFFFFFFFF
#define XPAR_MICROBLAZE_0_DCACHE_LINE_LEN 4
#define XPAR_MICROBLAZE_0_DCACHE_USE_WRITEBACK 0
#define XPAR_MICROBLAZE_0_DCACHE_VICTIMS 0
#define XPAR_MICROBLAZE_0_DC_AXI_MON 0
#define XPAR_MICROBLAZE_0_DEBUG_COUNTER_WIDTH 32
#define XPAR_MICROBLAZE_0_DEBUG_ENABLED 1
#define XPAR_MICROBLAZE_0_DEBUG_EVENT_COUNTERS 5
#define XPAR_MICROBLAZE_0_DEBUG_EXTERNAL_TRACE 0
#define XPAR_MICROBLAZE_0_DEBUG_INTERFACE 0
#define XPAR_MICROBLAZE_0_DEBUG_LATENCY_COUNTERS 1
#define XPAR_MICROBLAZE_0_DEBUG_PROFILE_SIZE 0
#define XPAR_MICROBLAZE_0_DEBUG_TRACE_ASYNC_RESET 0
#define XPAR_MICROBLAZE_0_DEBUG_TRACE_SIZE 8192
#define XPAR_MICROBLAZE_0_DIV_ZERO_EXCEPTION 0
#define XPAR_MICROBLAZE_0_DP_AXI_MON 0
#define XPAR_MICROBLAZE_0_DYNAMIC_BUS_SIZING 0
#define XPAR_MICROBLAZE_0_D_AXI 1
#define XPAR_MICROBLAZE_0_D_LMB 1
#define XPAR_MICROBLAZE_0_D_LMB_MON 0
#define XPAR_MICROBLAZE_0_ECC_USE_CE_EXCEPTION 0
#define XPAR_MICROBLAZE_0_EDGE_IS_POSITIVE 1
#define XPAR_MICROBLAZE_0_ENABLE_DISCRETE_PORTS 0
#define XPAR_MICROBLAZE_0_ENDIANNESS 1
#define XPAR_MICROBLAZE_0_FAULT_TOLERANT 0
#define XPAR_MICROBLAZE_0_FPU_EXCEPTION 0
#define XPAR_MICROBLAZE_0_FREQ 100000000
#define XPAR_MICROBLAZE_0_FSL_EXCEPTION 0
#define XPAR_MICROBLAZE_0_FSL_LINKS 0
#define XPAR_MICROBLAZE_0_IADDR_SIZE 32
#define XPAR_MICROBLAZE_0_ICACHE_ALWAYS_USED 1
#define XPAR_MICROBLAZE_0_ICACHE_BASEADDR 0x80000000
#define XPAR_MICROBLAZE_0_ICACHE_DATA_WIDTH 0
#define XPAR_MICROBLAZE_0_ICACHE_FORCE_TAG_LUTRAM 0
#define XPAR_MICROBLAZE_0_ICACHE_HIGHADDR 0xFFFFFFFF
#define XPAR_MICROBLAZE_0_ICACHE_LINE_LEN 4
#define XPAR_MICROBLAZE_0_ICACHE_STREAMS 0
#define XPAR_MICROBLAZE_0_ICACHE_VICTIMS 0
#define XPAR_MICROBLAZE_0_IC_AXI_MON 0
#define XPAR_MICROBLAZE_0_ILL_OPCODE_EXCEPTION 0
#define XPAR_MICROBLAZE_0_IMPRECISE_EXCEPTIONS 0
#define XPAR_MICROBLAZE_0_INSTR_SIZE 32
#define XPAR_MICROBLAZE_0_INTERCONNECT 2
#define XPAR_MICROBLAZE_0_INTERRUPT_IS_EDGE 0
#define XPAR_MICROBLAZE_0_INTERRUPT_MON 0
#define XPAR_MICROBLAZE_0_IP_AXI_MON 0
#define XPAR_MICROBLAZE_0_I_AXI 0
#define XPAR_MICROBLAZE_0_I_LMB 1
#define XPAR_MICROBLAZE_0_I_LMB_MON 0
#define XPAR_MICROBLAZE_0_LOCKSTEP_MASTER 0
#define XPAR_MICROBLAZE_0_LOCKSTEP_SELECT 0
#define XPAR_MICROBLAZE_0_LOCKSTEP_SLAVE 0
#define XPAR_MICROBLAZE_0_M0_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_0_M0_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_0_M1_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_0_M1_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_0_M2_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_0_M2_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_0_M3_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_0_M3_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_0_M4_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_0_M4_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_0_M5_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_0_M5_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_0_M6_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_0_M6_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_0_M7_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_0_M7_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_0_M8_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_0_M8_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_0_M9_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_0_M9_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_0_M10_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_0_M10_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_0_M11_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_0_M11_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_0_M12_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_0_M12_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_0_M13_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_0_M13_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_0_M14_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_0_M14_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_0_M15_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_0_M15_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_0_MMU_DTLB_SIZE 4
#define XPAR_MICROBLAZE_0_MMU_ITLB_SIZE 2
#define XPAR_MICROBLAZE_0_MMU_PRIVILEGED_INSTR 0
#define XPAR_MICROBLAZE_0_MMU_TLB_ACCESS 3
#define XPAR_MICROBLAZE_0_MMU_ZONES 16
#define XPAR_MICROBLAZE_0_M_AXI_DC_ADDR_WIDTH 32
#define XPAR_MICROBLAZE_0_M_AXI_DC_ARUSER_WIDTH 5
#define XPAR_MICROBLAZE_0_M_AXI_DC_AWUSER_WIDTH 5
#define XPAR_MICROBLAZE_0_M_AXI_DC_BUSER_WIDTH 1
#define XPAR_MICROBLAZE_0_M_AXI_DC_DATA_WIDTH 32
#define XPAR_MICROBLAZE_0_M_AXI_DC_EXCLUSIVE_ACCESS 0
#define XPAR_MICROBLAZE_0_M_AXI_DC_RUSER_WIDTH 1
#define XPAR_MICROBLAZE_0_M_AXI_DC_THREAD_ID_WIDTH 1
#define XPAR_MICROBLAZE_0_M_AXI_DC_USER_SIGNALS 0
#define XPAR_MICROBLAZE_0_M_AXI_DC_USER_VALUE 31
#define XPAR_MICROBLAZE_0_M_AXI_DC_WUSER_WIDTH 1
#define XPAR_MICROBLAZE_0_M_AXI_DP_ADDR_WIDTH 32
#define XPAR_MICROBLAZE_0_M_AXI_DP_DATA_WIDTH 32
#define XPAR_MICROBLAZE_0_M_AXI_DP_EXCLUSIVE_ACCESS 0
#define XPAR_MICROBLAZE_0_M_AXI_DP_THREAD_ID_WIDTH 1
#define XPAR_MICROBLAZE_0_M_AXI_D_BUS_EXCEPTION 0
#define XPAR_MICROBLAZE_0_M_AXI_IC_ADDR_WIDTH 32
#define XPAR_MICROBLAZE_0_M_AXI_IC_ARUSER_WIDTH 5
#define XPAR_MICROBLAZE_0_M_AXI_IC_AWUSER_WIDTH 5
#define XPAR_MICROBLAZE_0_M_AXI_IC_BUSER_WIDTH 1
#define XPAR_MICROBLAZE_0_M_AXI_IC_DATA_WIDTH 32
#define XPAR_MICROBLAZE_0_M_AXI_IC_RUSER_WIDTH 1
#define XPAR_MICROBLAZE_0_M_AXI_IC_THREAD_ID_WIDTH 1
#define XPAR_MICROBLAZE_0_M_AXI_IC_USER_SIGNALS 0
#define XPAR_MICROBLAZE_0_M_AXI_IC_USER_VALUE 31
#define XPAR_MICROBLAZE_0_M_AXI_IC_WUSER_WIDTH 1
#define XPAR_MICROBLAZE_0_M_AXI_IP_ADDR_WIDTH 32
#define XPAR_MICROBLAZE_0_M_AXI_IP_DATA_WIDTH 32
#define XPAR_MICROBLAZE_0_M_AXI_IP_THREAD_ID_WIDTH 1
#define XPAR_MICROBLAZE_0_M_AXI_I_BUS_EXCEPTION 0
#define XPAR_MICROBLAZE_0_NUMBER_OF_PC_BRK 1
#define XPAR_MICROBLAZE_0_NUMBER_OF_RD_ADDR_BRK 0
#define XPAR_MICROBLAZE_0_NUMBER_OF_WR_ADDR_BRK 0
#define XPAR_MICROBLAZE_0_NUM_SYNC_FF_CLK 2
#define XPAR_MICROBLAZE_0_NUM_SYNC_FF_CLK_DEBUG 2
#define XPAR_MICROBLAZE_0_NUM_SYNC_FF_CLK_IRQ 1
#define XPAR_MICROBLAZE_0_NUM_SYNC_FF_DBG_CLK 1
#define XPAR_MICROBLAZE_0_NUM_SYNC_FF_DBG_TRACE_CLK 2
#define XPAR_MICROBLAZE_0_OPCODE_0X0_ILLEGAL 0
#define XPAR_MICROBLAZE_0_OPTIMIZATION 0
#define XPAR_MICROBLAZE_0_PC_WIDTH 32
#define XPAR_MICROBLAZE_0_PIADDR_SIZE 32
#define XPAR_MICROBLAZE_0_PVR 0
#define XPAR_MICROBLAZE_0_PVR_USER1 0x00
#define XPAR_MICROBLAZE_0_PVR_USER2 0x00000000
#define XPAR_MICROBLAZE_0_RESET_MSR 0x00000000
#define XPAR_MICROBLAZE_0_RESET_MSR_BIP 0
#define XPAR_MICROBLAZE_0_RESET_MSR_DCE 0
#define XPAR_MICROBLAZE_0_RESET_MSR_EE 0
#define XPAR_MICROBLAZE_0_RESET_MSR_EIP 0
#define XPAR_MICROBLAZE_0_RESET_MSR_ICE 0
#define XPAR_MICROBLAZE_0_RESET_MSR_IE 0
#define XPAR_MICROBLAZE_0_S0_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_0_S0_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_0_S1_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_0_S1_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_0_S2_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_0_S2_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_0_S3_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_0_S3_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_0_S4_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_0_S4_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_0_S5_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_0_S5_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_0_S6_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_0_S6_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_0_S7_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_0_S7_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_0_S8_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_0_S8_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_0_S9_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_0_S9_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_0_S10_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_0_S10_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_0_S11_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_0_S11_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_0_S12_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_0_S12_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_0_S13_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_0_S13_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_0_S14_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_0_S14_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_0_S15_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_0_S15_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_0_SCO 0
#define XPAR_MICROBLAZE_0_TRACE 0
#define XPAR_MICROBLAZE_0_UNALIGNED_EXCEPTIONS 0
#define XPAR_MICROBLAZE_0_USE_BARREL 0
#define XPAR_MICROBLAZE_0_USE_BRANCH_TARGET_CACHE 0
#define XPAR_MICROBLAZE_0_USE_CONFIG_RESET 0
#define XPAR_MICROBLAZE_0_USE_DCACHE 1
#define XPAR_MICROBLAZE_0_USE_DIV 0
#define XPAR_MICROBLAZE_0_USE_EXTENDED_FSL_INSTR 0
#define XPAR_MICROBLAZE_0_USE_EXT_BRK 0
#define XPAR_MICROBLAZE_0_USE_EXT_NM_BRK 0
#define XPAR_MICROBLAZE_0_USE_FPU 0
#define XPAR_MICROBLAZE_0_USE_HW_MUL 0
#define XPAR_MICROBLAZE_0_USE_ICACHE 1
#define XPAR_MICROBLAZE_0_USE_INTERRUPT 2
#define XPAR_MICROBLAZE_0_USE_MMU 0
#define XPAR_MICROBLAZE_0_USE_MSR_INSTR 0
#define XPAR_MICROBLAZE_0_USE_NON_SECURE 0
#define XPAR_MICROBLAZE_0_USE_PCMP_INSTR 0
#define XPAR_MICROBLAZE_0_USE_REORDER_INSTR 1
#define XPAR_MICROBLAZE_0_USE_STACK_PROTECTION 0
#define XPAR_MICROBLAZE_0_COMPONENT_NAME system_microblaze_0_0
#define XPAR_MICROBLAZE_0_EDK_IPTYPE PROCESSOR
#define XPAR_MICROBLAZE_0_EDK_SPECIAL microblaze
#define XPAR_MICROBLAZE_0_G_TEMPLATE_LIST 0
#define XPAR_MICROBLAZE_0_G_USE_EXCEPTIONS 0

/******************************************************************/

#define XPAR_CPU_ID 0
#define XPAR_MICROBLAZE_ID 0
#define XPAR_MICROBLAZE_ADDR_SIZE 32
#define XPAR_MICROBLAZE_ADDR_TAG_BITS 18
#define XPAR_MICROBLAZE_ALLOW_DCACHE_WR 1
#define XPAR_MICROBLAZE_ALLOW_ICACHE_WR 1
#define XPAR_MICROBLAZE_AREA_OPTIMIZED 0
#define XPAR_MICROBLAZE_ASYNC_INTERRUPT 1
#define XPAR_MICROBLAZE_ASYNC_WAKEUP 3
#define XPAR_MICROBLAZE_AVOID_PRIMITIVES 0
#define XPAR_MICROBLAZE_BASE_VECTORS 0x0000000000000000
#define XPAR_MICROBLAZE_BRANCH_TARGET_CACHE_SIZE 0
#define XPAR_MICROBLAZE_CACHE_BYTE_SIZE 8192
#define XPAR_MICROBLAZE_DADDR_SIZE 32
#define XPAR_MICROBLAZE_DATA_SIZE 32
#define XPAR_MICROBLAZE_DCACHE_ADDR_TAG 18
#define XPAR_MICROBLAZE_DCACHE_ALWAYS_USED 1
#define XPAR_MICROBLAZE_DCACHE_BASEADDR 0x80000000
#define XPAR_MICROBLAZE_DCACHE_BYTE_SIZE 8192
#define XPAR_MICROBLAZE_DCACHE_DATA_WIDTH 0
#define XPAR_MICROBLAZE_DCACHE_FORCE_TAG_LUTRAM 0
#define XPAR_MICROBLAZE_DCACHE_HIGHADDR 0xFFFFFFFF
#define XPAR_MICROBLAZE_DCACHE_LINE_LEN 4
#define XPAR_MICROBLAZE_DCACHE_USE_WRITEBACK 0
#define XPAR_MICROBLAZE_DCACHE_VICTIMS 0
#define XPAR_MICROBLAZE_DC_AXI_MON 0
#define XPAR_MICROBLAZE_DEBUG_COUNTER_WIDTH 32
#define XPAR_MICROBLAZE_DEBUG_ENABLED 1
#define XPAR_MICROBLAZE_DEBUG_EVENT_COUNTERS 5
#define XPAR_MICROBLAZE_DEBUG_EXTERNAL_TRACE 0
#define XPAR_MICROBLAZE_DEBUG_INTERFACE 0
#define XPAR_MICROBLAZE_DEBUG_LATENCY_COUNTERS 1
#define XPAR_MICROBLAZE_DEBUG_PROFILE_SIZE 0
#define XPAR_MICROBLAZE_DEBUG_TRACE_ASYNC_RESET 0
#define XPAR_MICROBLAZE_DEBUG_TRACE_SIZE 8192
#define XPAR_MICROBLAZE_DIV_ZERO_EXCEPTION 0
#define XPAR_MICROBLAZE_DP_AXI_MON 0
#define XPAR_MICROBLAZE_DYNAMIC_BUS_SIZING 0
#define XPAR_MICROBLAZE_D_AXI 1
#define XPAR_MICROBLAZE_D_LMB 1
#define XPAR_MICROBLAZE_D_LMB_MON 0
#define XPAR_MICROBLAZE_ECC_USE_CE_EXCEPTION 0
#define XPAR_MICROBLAZE_EDGE_IS_POSITIVE 1
#define XPAR_MICROBLAZE_ENABLE_DISCRETE_PORTS 0
#define XPAR_MICROBLAZE_ENDIANNESS 1
#define XPAR_MICROBLAZE_FAULT_TOLERANT 0
#define XPAR_MICROBLAZE_FPU_EXCEPTION 0
#define XPAR_MICROBLAZE_FREQ 100000000
#define XPAR_MICROBLAZE_FSL_EXCEPTION 0
#define XPAR_MICROBLAZE_FSL_LINKS 0
#define XPAR_MICROBLAZE_IADDR_SIZE 32
#define XPAR_MICROBLAZE_ICACHE_ALWAYS_USED 1
#define XPAR_MICROBLAZE_ICACHE_BASEADDR 0x80000000
#define XPAR_MICROBLAZE_ICACHE_DATA_WIDTH 0
#define XPAR_MICROBLAZE_ICACHE_FORCE_TAG_LUTRAM 0
#define XPAR_MICROBLAZE_ICACHE_HIGHADDR 0xFFFFFFFF
#define XPAR_MICROBLAZE_ICACHE_LINE_LEN 4
#define XPAR_MICROBLAZE_ICACHE_STREAMS 0
#define XPAR_MICROBLAZE_ICACHE_VICTIMS 0
#define XPAR_MICROBLAZE_IC_AXI_MON 0
#define XPAR_MICROBLAZE_ILL_OPCODE_EXCEPTION 0
#define XPAR_MICROBLAZE_IMPRECISE_EXCEPTIONS 0
#define XPAR_MICROBLAZE_INSTR_SIZE 32
#define XPAR_MICROBLAZE_INTERCONNECT 2
#define XPAR_MICROBLAZE_INTERRUPT_IS_EDGE 0
#define XPAR_MICROBLAZE_INTERRUPT_MON 0
#define XPAR_MICROBLAZE_IP_AXI_MON 0
#define XPAR_MICROBLAZE_I_AXI 0
#define XPAR_MICROBLAZE_I_LMB 1
#define XPAR_MICROBLAZE_I_LMB_MON 0
#define XPAR_MICROBLAZE_LOCKSTEP_MASTER 0
#define XPAR_MICROBLAZE_LOCKSTEP_SELECT 0
#define XPAR_MICROBLAZE_LOCKSTEP_SLAVE 0
#define XPAR_MICROBLAZE_M0_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M0_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M1_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M1_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M2_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M2_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M3_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M3_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M4_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M4_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M5_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M5_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M6_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M6_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M7_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M7_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M8_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M8_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M9_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M9_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M10_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M10_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M11_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M11_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M12_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M12_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M13_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M13_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M14_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M14_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_M15_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M15_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_MMU_DTLB_SIZE 4
#define XPAR_MICROBLAZE_MMU_ITLB_SIZE 2
#define XPAR_MICROBLAZE_MMU_PRIVILEGED_INSTR 0
#define XPAR_MICROBLAZE_MMU_TLB_ACCESS 3
#define XPAR_MICROBLAZE_MMU_ZONES 16
#define XPAR_MICROBLAZE_M_AXI_DC_ADDR_WIDTH 32
#define XPAR_MICROBLAZE_M_AXI_DC_ARUSER_WIDTH 5
#define XPAR_MICROBLAZE_M_AXI_DC_AWUSER_WIDTH 5
#define XPAR_MICROBLAZE_M_AXI_DC_BUSER_WIDTH 1
#define XPAR_MICROBLAZE_M_AXI_DC_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M_AXI_DC_EXCLUSIVE_ACCESS 0
#define XPAR_MICROBLAZE_M_AXI_DC_RUSER_WIDTH 1
#define XPAR_MICROBLAZE_M_AXI_DC_THREAD_ID_WIDTH 1
#define XPAR_MICROBLAZE_M_AXI_DC_USER_SIGNALS 0
#define XPAR_MICROBLAZE_M_AXI_DC_USER_VALUE 31
#define XPAR_MICROBLAZE_M_AXI_DC_WUSER_WIDTH 1
#define XPAR_MICROBLAZE_M_AXI_DP_ADDR_WIDTH 32
#define XPAR_MICROBLAZE_M_AXI_DP_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M_AXI_DP_EXCLUSIVE_ACCESS 0
#define XPAR_MICROBLAZE_M_AXI_DP_THREAD_ID_WIDTH 1
#define XPAR_MICROBLAZE_M_AXI_D_BUS_EXCEPTION 0
#define XPAR_MICROBLAZE_M_AXI_IC_ADDR_WIDTH 32
#define XPAR_MICROBLAZE_M_AXI_IC_ARUSER_WIDTH 5
#define XPAR_MICROBLAZE_M_AXI_IC_AWUSER_WIDTH 5
#define XPAR_MICROBLAZE_M_AXI_IC_BUSER_WIDTH 1
#define XPAR_MICROBLAZE_M_AXI_IC_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M_AXI_IC_RUSER_WIDTH 1
#define XPAR_MICROBLAZE_M_AXI_IC_THREAD_ID_WIDTH 1
#define XPAR_MICROBLAZE_M_AXI_IC_USER_SIGNALS 0
#define XPAR_MICROBLAZE_M_AXI_IC_USER_VALUE 31
#define XPAR_MICROBLAZE_M_AXI_IC_WUSER_WIDTH 1
#define XPAR_MICROBLAZE_M_AXI_IP_ADDR_WIDTH 32
#define XPAR_MICROBLAZE_M_AXI_IP_DATA_WIDTH 32
#define XPAR_MICROBLAZE_M_AXI_IP_THREAD_ID_WIDTH 1
#define XPAR_MICROBLAZE_M_AXI_I_BUS_EXCEPTION 0
#define XPAR_MICROBLAZE_NUMBER_OF_PC_BRK 1
#define XPAR_MICROBLAZE_NUMBER_OF_RD_ADDR_BRK 0
#define XPAR_MICROBLAZE_NUMBER_OF_WR_ADDR_BRK 0
#define XPAR_MICROBLAZE_NUM_SYNC_FF_CLK 2
#define XPAR_MICROBLAZE_NUM_SYNC_FF_CLK_DEBUG 2
#define XPAR_MICROBLAZE_NUM_SYNC_FF_CLK_IRQ 1
#define XPAR_MICROBLAZE_NUM_SYNC_FF_DBG_CLK 1
#define XPAR_MICROBLAZE_NUM_SYNC_FF_DBG_TRACE_CLK 2
#define XPAR_MICROBLAZE_OPCODE_0X0_ILLEGAL 0
#define XPAR_MICROBLAZE_OPTIMIZATION 0
#define XPAR_MICROBLAZE_PC_WIDTH 32
#define XPAR_MICROBLAZE_PIADDR_SIZE 32
#define XPAR_MICROBLAZE_PVR 0
#define XPAR_MICROBLAZE_PVR_USER1 0x00
#define XPAR_MICROBLAZE_PVR_USER2 0x00000000
#define XPAR_MICROBLAZE_RESET_MSR 0x00000000
#define XPAR_MICROBLAZE_RESET_MSR_BIP 0
#define XPAR_MICROBLAZE_RESET_MSR_DCE 0
#define XPAR_MICROBLAZE_RESET_MSR_EE 0
#define XPAR_MICROBLAZE_RESET_MSR_EIP 0
#define XPAR_MICROBLAZE_RESET_MSR_ICE 0
#define XPAR_MICROBLAZE_RESET_MSR_IE 0
#define XPAR_MICROBLAZE_S0_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S0_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S1_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S1_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S2_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S2_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S3_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S3_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S4_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S4_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S5_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S5_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S6_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S6_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S7_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S7_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S8_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S8_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S9_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S9_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S10_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S10_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S11_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S11_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S12_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S12_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S13_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S13_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S14_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S14_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_S15_AXIS_DATA_WIDTH 32
#define XPAR_MICROBLAZE_S15_AXIS_PROTOCOL GENERIC
#define XPAR_MICROBLAZE_SCO 0
#define XPAR_MICROBLAZE_TRACE 0
#define XPAR_MICROBLAZE_UNALIGNED_EXCEPTIONS 0
#define XPAR_MICROBLAZE_USE_BARREL 0
#define XPAR_MICROBLAZE_USE_BRANCH_TARGET_CACHE 0
#define XPAR_MICROBLAZE_USE_CONFIG_RESET 0
#define XPAR_MICROBLAZE_USE_DCACHE 1
#define XPAR_MICROBLAZE_USE_DIV 0
#define XPAR_MICROBLAZE_USE_EXTENDED_FSL_INSTR 0
#define XPAR_MICROBLAZE_USE_EXT_BRK 0
#define XPAR_MICROBLAZE_USE_EXT_NM_BRK 0
#define XPAR_MICROBLAZE_USE_FPU 0
#define XPAR_MICROBLAZE_USE_HW_MUL 0
#define XPAR_MICROBLAZE_USE_ICACHE 1
#define XPAR_MICROBLAZE_USE_INTERRUPT 2
#define XPAR_MICROBLAZE_USE_MMU 0
#define XPAR_MICROBLAZE_USE_MSR_INSTR 0
#define XPAR_MICROBLAZE_USE_NON_SECURE 0
#define XPAR_MICROBLAZE_USE_PCMP_INSTR 0
#define XPAR_MICROBLAZE_USE_REORDER_INSTR 1
#define XPAR_MICROBLAZE_USE_STACK_PROTECTION 0
#define XPAR_MICROBLAZE_COMPONENT_NAME system_microblaze_0_0
#define XPAR_MICROBLAZE_EDK_IPTYPE PROCESSOR
#define XPAR_MICROBLAZE_EDK_SPECIAL microblaze
#define XPAR_MICROBLAZE_G_TEMPLATE_LIST 0
#define XPAR_MICROBLAZE_G_USE_EXCEPTIONS 0

/******************************************************************/

/* Platform specific definitions */
#define PLATFORM_MB
 
/******************************************************************/
#define STDIN_BASEADDRESS 0x41400000
#define STDOUT_BASEADDRESS 0x41400000

/******************************************************************/

/* Definitions for driver AXIDMA */
#define XPAR_XAXIDMA_NUM_INSTANCES 4

/* Definitions for peripheral PORT0D_AXI_DMA */
#define XPAR_PORT0D_AXI_DMA_DEVICE_ID 0
#define XPAR_PORT0D_AXI_DMA_BASEADDR 0x41E00000
#define XPAR_PORT0D_AXI_DMA_HIGHADDR 0x41E0FFFF
#define XPAR_PORT0D_AXI_DMA_SG_INCLUDE_STSCNTRL_STRM 1
#define XPAR_PORT0D_AXI_DMA_INCLUDE_MM2S_DRE 1
#define XPAR_PORT0D_AXI_DMA_INCLUDE_S2MM_DRE 1
#define XPAR_PORT0D_AXI_DMA_INCLUDE_MM2S 1
#define XPAR_PORT0D_AXI_DMA_INCLUDE_S2MM 1
#define XPAR_PORT0D_AXI_DMA_M_AXI_MM2S_DATA_WIDTH 32
#define XPAR_PORT0D_AXI_DMA_M_AXI_S2MM_DATA_WIDTH 32
#define XPAR_PORT0D_AXI_DMA_INCLUDE_SG 1
#define XPAR_PORT0D_AXI_DMA_ENABLE_MULTI_CHANNEL 0
#define XPAR_PORT0D_AXI_DMA_NUM_MM2S_CHANNELS 1
#define XPAR_PORT0D_AXI_DMA_NUM_S2MM_CHANNELS 1
#define XPAR_PORT0D_AXI_DMA_MM2S_BURST_SIZE 16
#define XPAR_PORT0D_AXI_DMA_S2MM_BURST_SIZE 16
#define XPAR_PORT0D_AXI_DMA_MICRO_DMA 0
#define XPAR_PORT0D_AXI_DMA_ADDR_WIDTH 32
#define XPAR_PORT0D_AXI_DMA_SG_LENGTH_WIDTH 16


/* Definitions for peripheral PORT1C_AXI_DMA */
#define XPAR_PORT1C_AXI_DMA_DEVICE_ID 1
#define XPAR_PORT1C_AXI_DMA_BASEADDR 0x41E10000
#define XPAR_PORT1C_AXI_DMA_HIGHADDR 0x41E1FFFF
#define XPAR_PORT1C_AXI_DMA_SG_INCLUDE_STSCNTRL_STRM 1
#define XPAR_PORT1C_AXI_DMA_INCLUDE_MM2S_DRE 1
#define XPAR_PORT1C_AXI_DMA_INCLUDE_S2MM_DRE 1
#define XPAR_PORT1C_AXI_DMA_INCLUDE_MM2S 1
#define XPAR_PORT1C_AXI_DMA_INCLUDE_S2MM 1
#define XPAR_PORT1C_AXI_DMA_M_AXI_MM2S_DATA_WIDTH 32
#define XPAR_PORT1C_AXI_DMA_M_AXI_S2MM_DATA_WIDTH 32
#define XPAR_PORT1C_AXI_DMA_INCLUDE_SG 1
#define XPAR_PORT1C_AXI_DMA_ENABLE_MULTI_CHANNEL 0
#define XPAR_PORT1C_AXI_DMA_NUM_MM2S_CHANNELS 1
#define XPAR_PORT1C_AXI_DMA_NUM_S2MM_CHANNELS 1
#define XPAR_PORT1C_AXI_DMA_MM2S_BURST_SIZE 16
#define XPAR_PORT1C_AXI_DMA_S2MM_BURST_SIZE 16
#define XPAR_PORT1C_AXI_DMA_MICRO_DMA 0
#define XPAR_PORT1C_AXI_DMA_ADDR_WIDTH 32
#define XPAR_PORT1C_AXI_DMA_SG_LENGTH_WIDTH 16


/* Definitions for peripheral PORT2B_AXI_DMA */
#define XPAR_PORT2B_AXI_DMA_DEVICE_ID 2
#define XPAR_PORT2B_AXI_DMA_BASEADDR 0x41E20000
#define XPAR_PORT2B_AXI_DMA_HIGHADDR 0x41E2FFFF
#define XPAR_PORT2B_AXI_DMA_SG_INCLUDE_STSCNTRL_STRM 1
#define XPAR_PORT2B_AXI_DMA_INCLUDE_MM2S_DRE 1
#define XPAR_PORT2B_AXI_DMA_INCLUDE_S2MM_DRE 1
#define XPAR_PORT2B_AXI_DMA_INCLUDE_MM2S 1
#define XPAR_PORT2B_AXI_DMA_INCLUDE_S2MM 1
#define XPAR_PORT2B_AXI_DMA_M_AXI_MM2S_DATA_WIDTH 32
#define XPAR_PORT2B_AXI_DMA_M_AXI_S2MM_DATA_WIDTH 32
#define XPAR_PORT2B_AXI_DMA_INCLUDE_SG 1
#define XPAR_PORT2B_AXI_DMA_ENABLE_MULTI_CHANNEL 0
#define XPAR_PORT2B_AXI_DMA_NUM_MM2S_CHANNELS 1
#define XPAR_PORT2B_AXI_DMA_NUM_S2MM_CHANNELS 1
#define XPAR_PORT2B_AXI_DMA_MM2S_BURST_SIZE 16
#define XPAR_PORT2B_AXI_DMA_S2MM_BURST_SIZE 16
#define XPAR_PORT2B_AXI_DMA_MICRO_DMA 0
#define XPAR_PORT2B_AXI_DMA_ADDR_WIDTH 32
#define XPAR_PORT2B_AXI_DMA_SG_LENGTH_WIDTH 16


/* Definitions for peripheral PORT3A_AXI_DMA */
#define XPAR_PORT3A_AXI_DMA_DEVICE_ID 3
#define XPAR_PORT3A_AXI_DMA_BASEADDR 0x41E30000
#define XPAR_PORT3A_AXI_DMA_HIGHADDR 0x41E3FFFF
#define XPAR_PORT3A_AXI_DMA_SG_INCLUDE_STSCNTRL_STRM 1
#define XPAR_PORT3A_AXI_DMA_INCLUDE_MM2S_DRE 1
#define XPAR_PORT3A_AXI_DMA_INCLUDE_S2MM_DRE 1
#define XPAR_PORT3A_AXI_DMA_INCLUDE_MM2S 1
#define XPAR_PORT3A_AXI_DMA_INCLUDE_S2MM 1
#define XPAR_PORT3A_AXI_DMA_M_AXI_MM2S_DATA_WIDTH 32
#define XPAR_PORT3A_AXI_DMA_M_AXI_S2MM_DATA_WIDTH 32
#define XPAR_PORT3A_AXI_DMA_INCLUDE_SG 1
#define XPAR_PORT3A_AXI_DMA_ENABLE_MULTI_CHANNEL 0
#define XPAR_PORT3A_AXI_DMA_NUM_MM2S_CHANNELS 1
#define XPAR_PORT3A_AXI_DMA_NUM_S2MM_CHANNELS 1
#define XPAR_PORT3A_AXI_DMA_MM2S_BURST_SIZE 16
#define XPAR_PORT3A_AXI_DMA_S2MM_BURST_SIZE 16
#define XPAR_PORT3A_AXI_DMA_MICRO_DMA 0
#define XPAR_PORT3A_AXI_DMA_ADDR_WIDTH 32
#define XPAR_PORT3A_AXI_DMA_SG_LENGTH_WIDTH 16


/******************************************************************/

/* Canonical definitions for peripheral PORT0D_AXI_DMA */
#define XPAR_AXIDMA_0_DEVICE_ID XPAR_PORT0D_AXI_DMA_DEVICE_ID
#define XPAR_AXIDMA_0_BASEADDR 0x41E00000
#define XPAR_AXIDMA_0_SG_INCLUDE_STSCNTRL_STRM 1
#define XPAR_AXIDMA_0_INCLUDE_MM2S 1
#define XPAR_AXIDMA_0_INCLUDE_MM2S_DRE 1
#define XPAR_AXIDMA_0_M_AXI_MM2S_DATA_WIDTH 32
#define XPAR_AXIDMA_0_INCLUDE_S2MM 1
#define XPAR_AXIDMA_0_INCLUDE_S2MM_DRE 1
#define XPAR_AXIDMA_0_M_AXI_S2MM_DATA_WIDTH 32
#define XPAR_AXIDMA_0_INCLUDE_SG 1
#define XPAR_AXIDMA_0_ENABLE_MULTI_CHANNEL 0
#define XPAR_AXIDMA_0_NUM_MM2S_CHANNELS 1
#define XPAR_AXIDMA_0_NUM_S2MM_CHANNELS 1
#define XPAR_AXIDMA_0_MM2S_BURST_SIZE 16
#define XPAR_AXIDMA_0_S2MM_BURST_SIZE 16
#define XPAR_AXIDMA_0_MICRO_DMA 0
#define XPAR_AXIDMA_0_c_addr_width 32
#define XPAR_AXIDMA_0_c_sg_length_width 16

/* Canonical definitions for peripheral PORT1C_AXI_DMA */
#define XPAR_AXIDMA_1_DEVICE_ID XPAR_PORT1C_AXI_DMA_DEVICE_ID
#define XPAR_AXIDMA_1_BASEADDR 0x41E10000
#define XPAR_AXIDMA_1_SG_INCLUDE_STSCNTRL_STRM 1
#define XPAR_AXIDMA_1_INCLUDE_MM2S 1
#define XPAR_AXIDMA_1_INCLUDE_MM2S_DRE 1
#define XPAR_AXIDMA_1_M_AXI_MM2S_DATA_WIDTH 32
#define XPAR_AXIDMA_1_INCLUDE_S2MM 1
#define XPAR_AXIDMA_1_INCLUDE_S2MM_DRE 1
#define XPAR_AXIDMA_1_M_AXI_S2MM_DATA_WIDTH 32
#define XPAR_AXIDMA_1_INCLUDE_SG 1
#define XPAR_AXIDMA_1_ENABLE_MULTI_CHANNEL 0
#define XPAR_AXIDMA_1_NUM_MM2S_CHANNELS 1
#define XPAR_AXIDMA_1_NUM_S2MM_CHANNELS 1
#define XPAR_AXIDMA_1_MM2S_BURST_SIZE 16
#define XPAR_AXIDMA_1_S2MM_BURST_SIZE 16
#define XPAR_AXIDMA_1_MICRO_DMA 0
#define XPAR_AXIDMA_1_c_addr_width 32
#define XPAR_AXIDMA_1_c_sg_length_width 16

/* Canonical definitions for peripheral PORT2B_AXI_DMA */
#define XPAR_AXIDMA_2_DEVICE_ID XPAR_PORT2B_AXI_DMA_DEVICE_ID
#define XPAR_AXIDMA_2_BASEADDR 0x41E20000
#define XPAR_AXIDMA_2_SG_INCLUDE_STSCNTRL_STRM 1
#define XPAR_AXIDMA_2_INCLUDE_MM2S 1
#define XPAR_AXIDMA_2_INCLUDE_MM2S_DRE 1
#define XPAR_AXIDMA_2_M_AXI_MM2S_DATA_WIDTH 32
#define XPAR_AXIDMA_2_INCLUDE_S2MM 1
#define XPAR_AXIDMA_2_INCLUDE_S2MM_DRE 1
#define XPAR_AXIDMA_2_M_AXI_S2MM_DATA_WIDTH 32
#define XPAR_AXIDMA_2_INCLUDE_SG 1
#define XPAR_AXIDMA_2_ENABLE_MULTI_CHANNEL 0
#define XPAR_AXIDMA_2_NUM_MM2S_CHANNELS 1
#define XPAR_AXIDMA_2_NUM_S2MM_CHANNELS 1
#define XPAR_AXIDMA_2_MM2S_BURST_SIZE 16
#define XPAR_AXIDMA_2_S2MM_BURST_SIZE 16
#define XPAR_AXIDMA_2_MICRO_DMA 0
#define XPAR_AXIDMA_2_c_addr_width 32
#define XPAR_AXIDMA_2_c_sg_length_width 16

/* Canonical definitions for peripheral PORT3A_AXI_DMA */
#define XPAR_AXIDMA_3_DEVICE_ID XPAR_PORT3A_AXI_DMA_DEVICE_ID
#define XPAR_AXIDMA_3_BASEADDR 0x41E30000
#define XPAR_AXIDMA_3_SG_INCLUDE_STSCNTRL_STRM 1
#define XPAR_AXIDMA_3_INCLUDE_MM2S 1
#define XPAR_AXIDMA_3_INCLUDE_MM2S_DRE 1
#define XPAR_AXIDMA_3_M_AXI_MM2S_DATA_WIDTH 32
#define XPAR_AXIDMA_3_INCLUDE_S2MM 1
#define XPAR_AXIDMA_3_INCLUDE_S2MM_DRE 1
#define XPAR_AXIDMA_3_M_AXI_S2MM_DATA_WIDTH 32
#define XPAR_AXIDMA_3_INCLUDE_SG 1
#define XPAR_AXIDMA_3_ENABLE_MULTI_CHANNEL 0
#define XPAR_AXIDMA_3_NUM_MM2S_CHANNELS 1
#define XPAR_AXIDMA_3_NUM_S2MM_CHANNELS 1
#define XPAR_AXIDMA_3_MM2S_BURST_SIZE 16
#define XPAR_AXIDMA_3_S2MM_BURST_SIZE 16
#define XPAR_AXIDMA_3_MICRO_DMA 0
#define XPAR_AXIDMA_3_c_addr_width 32
#define XPAR_AXIDMA_3_c_sg_length_width 16


/******************************************************************/

/* Definitions for driver AXIETHERNET */
#define XPAR_XAXIETHERNET_NUM_INSTANCES 4U
/* Definitions for peripheral PORT0D_AXI_ETHERNET */
#define XPAR_PORT0D_AXI_ETHERNET_DEVICE_ID 0U
#define XPAR_PORT0D_AXI_ETHERNET_BASEADDR 0x40C00000U
#define XPAR_PORT0D_AXI_ETHERNET_HIGHADDR 0x40C3FFFFU
#define XPAR_PORT0D_AXI_ETHERNET_TYPE 1U
#define XPAR_PORT0D_AXI_ETHERNET_TXCSUM 0U
#define XPAR_PORT0D_AXI_ETHERNET_RXCSUM 0U
#define XPAR_PORT0D_AXI_ETHERNET_PHY_TYPE 3U
#define XPAR_PORT0D_AXI_ETHERNET_TXVLAN_TRAN 0U
#define XPAR_PORT0D_AXI_ETHERNET_RXVLAN_TRAN 0U
#define XPAR_PORT0D_AXI_ETHERNET_TXVLAN_TAG 0U
#define XPAR_PORT0D_AXI_ETHERNET_RXVLAN_TAG 0U
#define XPAR_PORT0D_AXI_ETHERNET_TXVLAN_STRP 0U
#define XPAR_PORT0D_AXI_ETHERNET_RXVLAN_STRP 0U
#define XPAR_PORT0D_AXI_ETHERNET_MCAST_EXTEND 0U
#define XPAR_PORT0D_AXI_ETHERNET_STATS 1U
#define XPAR_PORT0D_AXI_ETHERNET_AVB 0U
#define XPAR_PORT0D_AXI_ETHERNET_Enable_1588 0U
#define XPAR_PORT0D_AXI_ETHERNET_SPEED 1000U
#define XPAR_PORT0D_AXI_ETHERNET_PHYADDR 1U

/* Canonical definitions for peripheral PORT0D_AXI_ETHERNET */
#define XPAR_AXIETHERNET_0_DEVICE_ID 0U
#define XPAR_AXIETHERNET_0_BASEADDR 0x40C00000U
#define XPAR_AXIETHERNET_0_HIGHADDR 0x40C3FFFFU
#define XPAR_AXIETHERNET_0_TEMAC_TYPE 1U
#define XPAR_AXIETHERNET_0_TXCSUM 0U
#define XPAR_AXIETHERNET_0_RXCSUM 0U
#define XPAR_AXIETHERNET_0_PHY_TYPE 3U
#define XPAR_AXIETHERNET_0_TXVLAN_TRAN 0U
#define XPAR_AXIETHERNET_0_RXVLAN_TRAN 0U
#define XPAR_AXIETHERNET_0_TXVLAN_TAG 0U
#define XPAR_AXIETHERNET_0_RXVLAN_TAG 0U
#define XPAR_AXIETHERNET_0_TXVLAN_STRP 0U
#define XPAR_AXIETHERNET_0_RXVLAN_STRP 0U
#define XPAR_AXIETHERNET_0_MCAST_EXTEND 0U
#define XPAR_AXIETHERNET_0_STATS 1U
#define XPAR_AXIETHERNET_0_AVB 0U
#define XPAR_AXIETHERNET_0_ENABLE_SGMII_OVER_LVDS 0U
#define XPAR_AXIETHERNET_0_ENABLE_1588 0U
#define XPAR_AXIETHERNET_0_SPEED 1000U
#define XPAR_AXIETHERNET_0_NUM_TABLE_ENTRIES 4U
#define XPAR_AXIETHERNET_0_PHYADDR 1U
#define XPAR_AXIETHERNET_0_INTR 15U


/* Definitions for peripheral PORT1C_AXI_ETHERNET */
#define XPAR_PORT1C_AXI_ETHERNET_DEVICE_ID 1U
#define XPAR_PORT1C_AXI_ETHERNET_BASEADDR 0x40C40000U
#define XPAR_PORT1C_AXI_ETHERNET_HIGHADDR 0x40C7FFFFU
#define XPAR_PORT1C_AXI_ETHERNET_TYPE 1U
#define XPAR_PORT1C_AXI_ETHERNET_TXCSUM 0U
#define XPAR_PORT1C_AXI_ETHERNET_RXCSUM 0U
#define XPAR_PORT1C_AXI_ETHERNET_PHY_TYPE 3U
#define XPAR_PORT1C_AXI_ETHERNET_TXVLAN_TRAN 0U
#define XPAR_PORT1C_AXI_ETHERNET_RXVLAN_TRAN 0U
#define XPAR_PORT1C_AXI_ETHERNET_TXVLAN_TAG 0U
#define XPAR_PORT1C_AXI_ETHERNET_RXVLAN_TAG 0U
#define XPAR_PORT1C_AXI_ETHERNET_TXVLAN_STRP 0U
#define XPAR_PORT1C_AXI_ETHERNET_RXVLAN_STRP 0U
#define XPAR_PORT1C_AXI_ETHERNET_MCAST_EXTEND 0U
#define XPAR_PORT1C_AXI_ETHERNET_STATS 1U
#define XPAR_PORT1C_AXI_ETHERNET_AVB 0U
#define XPAR_PORT1C_AXI_ETHERNET_Enable_1588 0U
#define XPAR_PORT1C_AXI_ETHERNET_SPEED 1000U
#define XPAR_PORT1C_AXI_ETHERNET_PHYADDR 1U

/* Canonical definitions for peripheral PORT1C_AXI_ETHERNET */
#define XPAR_AXIETHERNET_1_DEVICE_ID 1U
#define XPAR_AXIETHERNET_1_BASEADDR 0x40C40000U
#define XPAR_AXIETHERNET_1_HIGHADDR 0x40C7FFFFU
#define XPAR_AXIETHERNET_1_TEMAC_TYPE 1U
#define XPAR_AXIETHERNET_1_TXCSUM 0U
#define XPAR_AXIETHERNET_1_RXCSUM 0U
#define XPAR_AXIETHERNET_1_PHY_TYPE 3U
#define XPAR_AXIETHERNET_1_TXVLAN_TRAN 0U
#define XPAR_AXIETHERNET_1_RXVLAN_TRAN 0U
#define XPAR_AXIETHERNET_1_TXVLAN_TAG 0U
#define XPAR_AXIETHERNET_1_RXVLAN_TAG 0U
#define XPAR_AXIETHERNET_1_TXVLAN_STRP 0U
#define XPAR_AXIETHERNET_1_RXVLAN_STRP 0U
#define XPAR_AXIETHERNET_1_MCAST_EXTEND 0U
#define XPAR_AXIETHERNET_1_STATS 1U
#define XPAR_AXIETHERNET_1_AVB 0U
#define XPAR_AXIETHERNET_1_ENABLE_SGMII_OVER_LVDS 0U
#define XPAR_AXIETHERNET_1_ENABLE_1588 0U
#define XPAR_AXIETHERNET_1_SPEED 1000U
#define XPAR_AXIETHERNET_1_NUM_TABLE_ENTRIES 4U
#define XPAR_AXIETHERNET_1_PHYADDR 1U
#define XPAR_AXIETHERNET_1_INTR 3U


/* Definitions for peripheral PORT2B_AXI_ETHERNET */
#define XPAR_PORT2B_AXI_ETHERNET_DEVICE_ID 2U
#define XPAR_PORT2B_AXI_ETHERNET_BASEADDR 0x40C80000U
#define XPAR_PORT2B_AXI_ETHERNET_HIGHADDR 0x40CBFFFFU
#define XPAR_PORT2B_AXI_ETHERNET_TYPE 1U
#define XPAR_PORT2B_AXI_ETHERNET_TXCSUM 0U
#define XPAR_PORT2B_AXI_ETHERNET_RXCSUM 0U
#define XPAR_PORT2B_AXI_ETHERNET_PHY_TYPE 3U
#define XPAR_PORT2B_AXI_ETHERNET_TXVLAN_TRAN 0U
#define XPAR_PORT2B_AXI_ETHERNET_RXVLAN_TRAN 0U
#define XPAR_PORT2B_AXI_ETHERNET_TXVLAN_TAG 0U
#define XPAR_PORT2B_AXI_ETHERNET_RXVLAN_TAG 0U
#define XPAR_PORT2B_AXI_ETHERNET_TXVLAN_STRP 0U
#define XPAR_PORT2B_AXI_ETHERNET_RXVLAN_STRP 0U
#define XPAR_PORT2B_AXI_ETHERNET_MCAST_EXTEND 0U
#define XPAR_PORT2B_AXI_ETHERNET_STATS 1U
#define XPAR_PORT2B_AXI_ETHERNET_AVB 0U
#define XPAR_PORT2B_AXI_ETHERNET_Enable_1588 0U
#define XPAR_PORT2B_AXI_ETHERNET_SPEED 1000U
#define XPAR_PORT2B_AXI_ETHERNET_PHYADDR 1U

/* Canonical definitions for peripheral PORT2B_AXI_ETHERNET */
#define XPAR_AXIETHERNET_2_DEVICE_ID 2U
#define XPAR_AXIETHERNET_2_BASEADDR 0x40C80000U
#define XPAR_AXIETHERNET_2_HIGHADDR 0x40CBFFFFU
#define XPAR_AXIETHERNET_2_TEMAC_TYPE 1U
#define XPAR_AXIETHERNET_2_TXCSUM 0U
#define XPAR_AXIETHERNET_2_RXCSUM 0U
#define XPAR_AXIETHERNET_2_PHY_TYPE 3U
#define XPAR_AXIETHERNET_2_TXVLAN_TRAN 0U
#define XPAR_AXIETHERNET_2_RXVLAN_TRAN 0U
#define XPAR_AXIETHERNET_2_TXVLAN_TAG 0U
#define XPAR_AXIETHERNET_2_RXVLAN_TAG 0U
#define XPAR_AXIETHERNET_2_TXVLAN_STRP 0U
#define XPAR_AXIETHERNET_2_RXVLAN_STRP 0U
#define XPAR_AXIETHERNET_2_MCAST_EXTEND 0U
#define XPAR_AXIETHERNET_2_STATS 1U
#define XPAR_AXIETHERNET_2_AVB 0U
#define XPAR_AXIETHERNET_2_ENABLE_SGMII_OVER_LVDS 0U
#define XPAR_AXIETHERNET_2_ENABLE_1588 0U
#define XPAR_AXIETHERNET_2_SPEED 1000U
#define XPAR_AXIETHERNET_2_NUM_TABLE_ENTRIES 4U
#define XPAR_AXIETHERNET_2_PHYADDR 1U
#define XPAR_AXIETHERNET_2_INTR 9U


/* Definitions for peripheral PORT3A_AXI_ETHERNET */
#define XPAR_PORT3A_AXI_ETHERNET_DEVICE_ID 3U
#define XPAR_PORT3A_AXI_ETHERNET_BASEADDR 0x40CC0000U
#define XPAR_PORT3A_AXI_ETHERNET_HIGHADDR 0x40CFFFFFU
#define XPAR_PORT3A_AXI_ETHERNET_TYPE 1U
#define XPAR_PORT3A_AXI_ETHERNET_TXCSUM 0U
#define XPAR_PORT3A_AXI_ETHERNET_RXCSUM 0U
#define XPAR_PORT3A_AXI_ETHERNET_PHY_TYPE 3U
#define XPAR_PORT3A_AXI_ETHERNET_TXVLAN_TRAN 0U
#define XPAR_PORT3A_AXI_ETHERNET_RXVLAN_TRAN 0U
#define XPAR_PORT3A_AXI_ETHERNET_TXVLAN_TAG 0U
#define XPAR_PORT3A_AXI_ETHERNET_RXVLAN_TAG 0U
#define XPAR_PORT3A_AXI_ETHERNET_TXVLAN_STRP 0U
#define XPAR_PORT3A_AXI_ETHERNET_RXVLAN_STRP 0U
#define XPAR_PORT3A_AXI_ETHERNET_MCAST_EXTEND 0U
#define XPAR_PORT3A_AXI_ETHERNET_STATS 1U
#define XPAR_PORT3A_AXI_ETHERNET_AVB 0U
#define XPAR_PORT3A_AXI_ETHERNET_Enable_1588 0U
#define XPAR_PORT3A_AXI_ETHERNET_SPEED 1000U
#define XPAR_PORT3A_AXI_ETHERNET_PHYADDR 1U

/* Canonical definitions for peripheral PORT3A_AXI_ETHERNET */
#define XPAR_AXIETHERNET_3_DEVICE_ID 3U
#define XPAR_AXIETHERNET_3_BASEADDR 0x40CC0000U
#define XPAR_AXIETHERNET_3_HIGHADDR 0x40CFFFFFU
#define XPAR_AXIETHERNET_3_TEMAC_TYPE 1U
#define XPAR_AXIETHERNET_3_TXCSUM 0U
#define XPAR_AXIETHERNET_3_RXCSUM 0U
#define XPAR_AXIETHERNET_3_PHY_TYPE 3U
#define XPAR_AXIETHERNET_3_TXVLAN_TRAN 0U
#define XPAR_AXIETHERNET_3_RXVLAN_TRAN 0U
#define XPAR_AXIETHERNET_3_TXVLAN_TAG 0U
#define XPAR_AXIETHERNET_3_RXVLAN_TAG 0U
#define XPAR_AXIETHERNET_3_TXVLAN_STRP 0U
#define XPAR_AXIETHERNET_3_RXVLAN_STRP 0U
#define XPAR_AXIETHERNET_3_MCAST_EXTEND 0U
#define XPAR_AXIETHERNET_3_STATS 1U
#define XPAR_AXIETHERNET_3_AVB 0U
#define XPAR_AXIETHERNET_3_ENABLE_SGMII_OVER_LVDS 0U
#define XPAR_AXIETHERNET_3_ENABLE_1588 0U
#define XPAR_AXIETHERNET_3_SPEED 1000U
#define XPAR_AXIETHERNET_3_NUM_TABLE_ENTRIES 4U
#define XPAR_AXIETHERNET_3_PHYADDR 1U
#define XPAR_AXIETHERNET_3_INTR 13U


/* AxiEthernet TYPE Enumerations */
#define XPAR_AXI_FIFO    1U
#define XPAR_AXI_DMA     2U
#define XPAR_AXI_MCDMA   3U


/* Canonical Axi parameters for PORT0D_AXI_ETHERNET */
#define XPAR_AXIETHERNET_0_CONNECTED_TYPE XPAR_AXI_DMA
#define XPAR_AXIETHERNET_0_CONNECTED_BASEADDR 0x41E00000U
#define XPAR_AXIETHERNET_0_CONNECTED_FIFO_INTR 0xFFU
#define XPAR_AXIETHERNET_0_CONNECTED_DMARX_INTR 17U
#define XPAR_AXIETHERNET_0_CONNECTED_DMATX_INTR 16U
#define XPAR_AXIETHERNET_0_MCDMA_CHAN_CNT 0
#define XPAR_AXIETHERNET_0_CONNECTED_MCDMARX1_INTR 0xFF
#define XPAR_AXIETHERNET_0_CONNECTED_MCDMARX2_INTR 0xFF
#define XPAR_AXIETHERNET_0_CONNECTED_MCDMARX3_INTR 0xFF
#define XPAR_AXIETHERNET_0_CONNECTED_MCDMARX4_INTR 0xFF
#define XPAR_AXIETHERNET_0_CONNECTED_MCDMARX5_INTR 0xFF
#define XPAR_AXIETHERNET_0_CONNECTED_MCDMARX6_INTR 0xFF
#define XPAR_AXIETHERNET_0_CONNECTED_MCDMARX7_INTR 0xFF
#define XPAR_AXIETHERNET_0_CONNECTED_MCDMARX8_INTR 0xFF
#define XPAR_AXIETHERNET_0_CONNECTED_MCDMARX9_INTR 0xFF
#define XPAR_AXIETHERNET_0_CONNECTED_MCDMARX10_INTR 0xFF
#define XPAR_AXIETHERNET_0_CONNECTED_MCDMARX11_INTR 0xFF
#define XPAR_AXIETHERNET_0_CONNECTED_MCDMARX12_INTR 0xFF
#define XPAR_AXIETHERNET_0_CONNECTED_MCDMARX13_INTR 0xFF
#define XPAR_AXIETHERNET_0_CONNECTED_MCDMARX14_INTR 0xFF
#define XPAR_AXIETHERNET_0_CONNECTED_MCDMARX15_INTR 0xFF
#define XPAR_AXIETHERNET_0_CONNECTED_MCDMARX16_INTR 0xFF
#define XPAR_AXIETHERNET_0_CONNECTED_MCDMATX1_INTR 0xFF
#define XPAR_AXIETHERNET_0_CONNECTED_MCDMATX2_INTR 0xFF
#define XPAR_AXIETHERNET_0_CONNECTED_MCDMATX3_INTR 0xFF
#define XPAR_AXIETHERNET_0_CONNECTED_MCDMATX4_INTR 0xFF
#define XPAR_AXIETHERNET_0_CONNECTED_MCDMATX5_INTR 0xFF
#define XPAR_AXIETHERNET_0_CONNECTED_MCDMATX6_INTR 0xFF
#define XPAR_AXIETHERNET_0_CONNECTED_MCDMATX7_INTR 0xFF
#define XPAR_AXIETHERNET_0_CONNECTED_MCDMATX8_INTR 0xFF
#define XPAR_AXIETHERNET_0_CONNECTED_MCDMATX9_INTR 0xFF
#define XPAR_AXIETHERNET_0_CONNECTED_MCDMATX10_INTR 0xFF
#define XPAR_AXIETHERNET_0_CONNECTED_MCDMATX11_INTR 0xFF
#define XPAR_AXIETHERNET_0_CONNECTED_MCDMATX12_INTR 0xFF
#define XPAR_AXIETHERNET_0_CONNECTED_MCDMATX13_INTR 0xFF
#define XPAR_AXIETHERNET_0_CONNECTED_MCDMATX14_INTR 0xFF
#define XPAR_AXIETHERNET_0_CONNECTED_MCDMATX15_INTR 0xFF
#define XPAR_AXIETHERNET_0_CONNECTED_MCDMATX16_INTR 0xFF

/* Canonical Axi parameters for PORT1C_AXI_ETHERNET */
#define XPAR_AXIETHERNET_1_CONNECTED_TYPE XPAR_AXI_DMA
#define XPAR_AXIETHERNET_1_CONNECTED_BASEADDR 0x41E10000U
#define XPAR_AXIETHERNET_1_CONNECTED_FIFO_INTR 0xFFU
#define XPAR_AXIETHERNET_1_CONNECTED_DMARX_INTR 5U
#define XPAR_AXIETHERNET_1_CONNECTED_DMATX_INTR 4U
#define XPAR_AXIETHERNET_1_MCDMA_CHAN_CNT 0
#define XPAR_AXIETHERNET_1_CONNECTED_MCDMARX1_INTR 0xFF
#define XPAR_AXIETHERNET_1_CONNECTED_MCDMARX2_INTR 0xFF
#define XPAR_AXIETHERNET_1_CONNECTED_MCDMARX3_INTR 0xFF
#define XPAR_AXIETHERNET_1_CONNECTED_MCDMARX4_INTR 0xFF
#define XPAR_AXIETHERNET_1_CONNECTED_MCDMARX5_INTR 0xFF
#define XPAR_AXIETHERNET_1_CONNECTED_MCDMARX6_INTR 0xFF
#define XPAR_AXIETHERNET_1_CONNECTED_MCDMARX7_INTR 0xFF
#define XPAR_AXIETHERNET_1_CONNECTED_MCDMARX8_INTR 0xFF
#define XPAR_AXIETHERNET_1_CONNECTED_MCDMARX9_INTR 0xFF
#define XPAR_AXIETHERNET_1_CONNECTED_MCDMARX10_INTR 0xFF
#define XPAR_AXIETHERNET_1_CONNECTED_MCDMARX11_INTR 0xFF
#define XPAR_AXIETHERNET_1_CONNECTED_MCDMARX12_INTR 0xFF
#define XPAR_AXIETHERNET_1_CONNECTED_MCDMARX13_INTR 0xFF
#define XPAR_AXIETHERNET_1_CONNECTED_MCDMARX14_INTR 0xFF
#define XPAR_AXIETHERNET_1_CONNECTED_MCDMARX15_INTR 0xFF
#define XPAR_AXIETHERNET_1_CONNECTED_MCDMARX16_INTR 0xFF
#define XPAR_AXIETHERNET_1_CONNECTED_MCDMATX1_INTR 0xFF
#define XPAR_AXIETHERNET_1_CONNECTED_MCDMATX2_INTR 0xFF
#define XPAR_AXIETHERNET_1_CONNECTED_MCDMATX3_INTR 0xFF
#define XPAR_AXIETHERNET_1_CONNECTED_MCDMATX4_INTR 0xFF
#define XPAR_AXIETHERNET_1_CONNECTED_MCDMATX5_INTR 0xFF
#define XPAR_AXIETHERNET_1_CONNECTED_MCDMATX6_INTR 0xFF
#define XPAR_AXIETHERNET_1_CONNECTED_MCDMATX7_INTR 0xFF
#define XPAR_AXIETHERNET_1_CONNECTED_MCDMATX8_INTR 0xFF
#define XPAR_AXIETHERNET_1_CONNECTED_MCDMATX9_INTR 0xFF
#define XPAR_AXIETHERNET_1_CONNECTED_MCDMATX10_INTR 0xFF
#define XPAR_AXIETHERNET_1_CONNECTED_MCDMATX11_INTR 0xFF
#define XPAR_AXIETHERNET_1_CONNECTED_MCDMATX12_INTR 0xFF
#define XPAR_AXIETHERNET_1_CONNECTED_MCDMATX13_INTR 0xFF
#define XPAR_AXIETHERNET_1_CONNECTED_MCDMATX14_INTR 0xFF
#define XPAR_AXIETHERNET_1_CONNECTED_MCDMATX15_INTR 0xFF
#define XPAR_AXIETHERNET_1_CONNECTED_MCDMATX16_INTR 0xFF

/* Canonical Axi parameters for PORT2B_AXI_ETHERNET */
#define XPAR_AXIETHERNET_2_CONNECTED_TYPE XPAR_AXI_DMA
#define XPAR_AXIETHERNET_2_CONNECTED_BASEADDR 0x41E20000U
#define XPAR_AXIETHERNET_2_CONNECTED_FIFO_INTR 0xFFU
#define XPAR_AXIETHERNET_2_CONNECTED_DMARX_INTR 7U
#define XPAR_AXIETHERNET_2_CONNECTED_DMATX_INTR 6U
#define XPAR_AXIETHERNET_2_MCDMA_CHAN_CNT 0
#define XPAR_AXIETHERNET_2_CONNECTED_MCDMARX1_INTR 0xFF
#define XPAR_AXIETHERNET_2_CONNECTED_MCDMARX2_INTR 0xFF
#define XPAR_AXIETHERNET_2_CONNECTED_MCDMARX3_INTR 0xFF
#define XPAR_AXIETHERNET_2_CONNECTED_MCDMARX4_INTR 0xFF
#define XPAR_AXIETHERNET_2_CONNECTED_MCDMARX5_INTR 0xFF
#define XPAR_AXIETHERNET_2_CONNECTED_MCDMARX6_INTR 0xFF
#define XPAR_AXIETHERNET_2_CONNECTED_MCDMARX7_INTR 0xFF
#define XPAR_AXIETHERNET_2_CONNECTED_MCDMARX8_INTR 0xFF
#define XPAR_AXIETHERNET_2_CONNECTED_MCDMARX9_INTR 0xFF
#define XPAR_AXIETHERNET_2_CONNECTED_MCDMARX10_INTR 0xFF
#define XPAR_AXIETHERNET_2_CONNECTED_MCDMARX11_INTR 0xFF
#define XPAR_AXIETHERNET_2_CONNECTED_MCDMARX12_INTR 0xFF
#define XPAR_AXIETHERNET_2_CONNECTED_MCDMARX13_INTR 0xFF
#define XPAR_AXIETHERNET_2_CONNECTED_MCDMARX14_INTR 0xFF
#define XPAR_AXIETHERNET_2_CONNECTED_MCDMARX15_INTR 0xFF
#define XPAR_AXIETHERNET_2_CONNECTED_MCDMARX16_INTR 0xFF
#define XPAR_AXIETHERNET_2_CONNECTED_MCDMATX1_INTR 0xFF
#define XPAR_AXIETHERNET_2_CONNECTED_MCDMATX2_INTR 0xFF
#define XPAR_AXIETHERNET_2_CONNECTED_MCDMATX3_INTR 0xFF
#define XPAR_AXIETHERNET_2_CONNECTED_MCDMATX4_INTR 0xFF
#define XPAR_AXIETHERNET_2_CONNECTED_MCDMATX5_INTR 0xFF
#define XPAR_AXIETHERNET_2_CONNECTED_MCDMATX6_INTR 0xFF
#define XPAR_AXIETHERNET_2_CONNECTED_MCDMATX7_INTR 0xFF
#define XPAR_AXIETHERNET_2_CONNECTED_MCDMATX8_INTR 0xFF
#define XPAR_AXIETHERNET_2_CONNECTED_MCDMATX9_INTR 0xFF
#define XPAR_AXIETHERNET_2_CONNECTED_MCDMATX10_INTR 0xFF
#define XPAR_AXIETHERNET_2_CONNECTED_MCDMATX11_INTR 0xFF
#define XPAR_AXIETHERNET_2_CONNECTED_MCDMATX12_INTR 0xFF
#define XPAR_AXIETHERNET_2_CONNECTED_MCDMATX13_INTR 0xFF
#define XPAR_AXIETHERNET_2_CONNECTED_MCDMATX14_INTR 0xFF
#define XPAR_AXIETHERNET_2_CONNECTED_MCDMATX15_INTR 0xFF
#define XPAR_AXIETHERNET_2_CONNECTED_MCDMATX16_INTR 0xFF

/* Canonical Axi parameters for PORT3A_AXI_ETHERNET */
#define XPAR_AXIETHERNET_3_CONNECTED_TYPE XPAR_AXI_DMA
#define XPAR_AXIETHERNET_3_CONNECTED_BASEADDR 0x41E30000U
#define XPAR_AXIETHERNET_3_CONNECTED_FIFO_INTR 0xFFU
#define XPAR_AXIETHERNET_3_CONNECTED_DMARX_INTR 11U
#define XPAR_AXIETHERNET_3_CONNECTED_DMATX_INTR 10U
#define XPAR_AXIETHERNET_3_MCDMA_CHAN_CNT 0
#define XPAR_AXIETHERNET_3_CONNECTED_MCDMARX1_INTR 0xFF
#define XPAR_AXIETHERNET_3_CONNECTED_MCDMARX2_INTR 0xFF
#define XPAR_AXIETHERNET_3_CONNECTED_MCDMARX3_INTR 0xFF
#define XPAR_AXIETHERNET_3_CONNECTED_MCDMARX4_INTR 0xFF
#define XPAR_AXIETHERNET_3_CONNECTED_MCDMARX5_INTR 0xFF
#define XPAR_AXIETHERNET_3_CONNECTED_MCDMARX6_INTR 0xFF
#define XPAR_AXIETHERNET_3_CONNECTED_MCDMARX7_INTR 0xFF
#define XPAR_AXIETHERNET_3_CONNECTED_MCDMARX8_INTR 0xFF
#define XPAR_AXIETHERNET_3_CONNECTED_MCDMARX9_INTR 0xFF
#define XPAR_AXIETHERNET_3_CONNECTED_MCDMARX10_INTR 0xFF
#define XPAR_AXIETHERNET_3_CONNECTED_MCDMARX11_INTR 0xFF
#define XPAR_AXIETHERNET_3_CONNECTED_MCDMARX12_INTR 0xFF
#define XPAR_AXIETHERNET_3_CONNECTED_MCDMARX13_INTR 0xFF
#define XPAR_AXIETHERNET_3_CONNECTED_MCDMARX14_INTR 0xFF
#define XPAR_AXIETHERNET_3_CONNECTED_MCDMARX15_INTR 0xFF
#define XPAR_AXIETHERNET_3_CONNECTED_MCDMARX16_INTR 0xFF
#define XPAR_AXIETHERNET_3_CONNECTED_MCDMATX1_INTR 0xFF
#define XPAR_AXIETHERNET_3_CONNECTED_MCDMATX2_INTR 0xFF
#define XPAR_AXIETHERNET_3_CONNECTED_MCDMATX3_INTR 0xFF
#define XPAR_AXIETHERNET_3_CONNECTED_MCDMATX4_INTR 0xFF
#define XPAR_AXIETHERNET_3_CONNECTED_MCDMATX5_INTR 0xFF
#define XPAR_AXIETHERNET_3_CONNECTED_MCDMATX6_INTR 0xFF
#define XPAR_AXIETHERNET_3_CONNECTED_MCDMATX7_INTR 0xFF
#define XPAR_AXIETHERNET_3_CONNECTED_MCDMATX8_INTR 0xFF
#define XPAR_AXIETHERNET_3_CONNECTED_MCDMATX9_INTR 0xFF
#define XPAR_AXIETHERNET_3_CONNECTED_MCDMATX10_INTR 0xFF
#define XPAR_AXIETHERNET_3_CONNECTED_MCDMATX11_INTR 0xFF
#define XPAR_AXIETHERNET_3_CONNECTED_MCDMATX12_INTR 0xFF
#define XPAR_AXIETHERNET_3_CONNECTED_MCDMATX13_INTR 0xFF
#define XPAR_AXIETHERNET_3_CONNECTED_MCDMATX14_INTR 0xFF
#define XPAR_AXIETHERNET_3_CONNECTED_MCDMATX15_INTR 0xFF
#define XPAR_AXIETHERNET_3_CONNECTED_MCDMATX16_INTR 0xFF

/******************************************************************/

/* Definitions for driver BRAM */
#define XPAR_XBRAM_NUM_INSTANCES 2U

/* Definitions for peripheral MICROBLAZE_0_LOCAL_MEMORY_DLMB_BRAM_IF_CNTLR */
#define XPAR_MICROBLAZE_0_LOCAL_MEMORY_DLMB_BRAM_IF_CNTLR_DEVICE_ID 0U
#define XPAR_MICROBLAZE_0_LOCAL_MEMORY_DLMB_BRAM_IF_CNTLR_DATA_WIDTH 32U
#define XPAR_MICROBLAZE_0_LOCAL_MEMORY_DLMB_BRAM_IF_CNTLR_ECC 0U
#define XPAR_MICROBLAZE_0_LOCAL_MEMORY_DLMB_BRAM_IF_CNTLR_FAULT_INJECT 0U
#define XPAR_MICROBLAZE_0_LOCAL_MEMORY_DLMB_BRAM_IF_CNTLR_CE_FAILING_REGISTERS 0U
#define XPAR_MICROBLAZE_0_LOCAL_MEMORY_DLMB_BRAM_IF_CNTLR_UE_FAILING_REGISTERS 0U
#define XPAR_MICROBLAZE_0_LOCAL_MEMORY_DLMB_BRAM_IF_CNTLR_ECC_STATUS_REGISTERS 0U
#define XPAR_MICROBLAZE_0_LOCAL_MEMORY_DLMB_BRAM_IF_CNTLR_CE_COUNTER_WIDTH 0U
#define XPAR_MICROBLAZE_0_LOCAL_MEMORY_DLMB_BRAM_IF_CNTLR_ECC_ONOFF_REGISTER 0U
#define XPAR_MICROBLAZE_0_LOCAL_MEMORY_DLMB_BRAM_IF_CNTLR_ECC_ONOFF_RESET_VALUE 1U
#define XPAR_MICROBLAZE_0_LOCAL_MEMORY_DLMB_BRAM_IF_CNTLR_WRITE_ACCESS 2U
#define XPAR_MICROBLAZE_0_LOCAL_MEMORY_DLMB_BRAM_IF_CNTLR_BASEADDR 0x00000000U
#define XPAR_MICROBLAZE_0_LOCAL_MEMORY_DLMB_BRAM_IF_CNTLR_HIGHADDR 0x0001FFFFU
#define XPAR_MICROBLAZE_0_LOCAL_MEMORY_DLMB_BRAM_IF_CNTLR_S_AXI_CTRL_BASEADDR 0xFFFFFFFFU 
#define XPAR_MICROBLAZE_0_LOCAL_MEMORY_DLMB_BRAM_IF_CNTLR_S_AXI_CTRL_HIGHADDR 0xFFFFFFFFU 


/* Definitions for peripheral MICROBLAZE_0_LOCAL_MEMORY_ILMB_BRAM_IF_CNTLR */
#define XPAR_MICROBLAZE_0_LOCAL_MEMORY_ILMB_BRAM_IF_CNTLR_DEVICE_ID 1U
#define XPAR_MICROBLAZE_0_LOCAL_MEMORY_ILMB_BRAM_IF_CNTLR_DATA_WIDTH 32U
#define XPAR_MICROBLAZE_0_LOCAL_MEMORY_ILMB_BRAM_IF_CNTLR_ECC 0U
#define XPAR_MICROBLAZE_0_LOCAL_MEMORY_ILMB_BRAM_IF_CNTLR_FAULT_INJECT 0U
#define XPAR_MICROBLAZE_0_LOCAL_MEMORY_ILMB_BRAM_IF_CNTLR_CE_FAILING_REGISTERS 0U
#define XPAR_MICROBLAZE_0_LOCAL_MEMORY_ILMB_BRAM_IF_CNTLR_UE_FAILING_REGISTERS 0U
#define XPAR_MICROBLAZE_0_LOCAL_MEMORY_ILMB_BRAM_IF_CNTLR_ECC_STATUS_REGISTERS 0U
#define XPAR_MICROBLAZE_0_LOCAL_MEMORY_ILMB_BRAM_IF_CNTLR_CE_COUNTER_WIDTH 0U
#define XPAR_MICROBLAZE_0_LOCAL_MEMORY_ILMB_BRAM_IF_CNTLR_ECC_ONOFF_REGISTER 0U
#define XPAR_MICROBLAZE_0_LOCAL_MEMORY_ILMB_BRAM_IF_CNTLR_ECC_ONOFF_RESET_VALUE 1U
#define XPAR_MICROBLAZE_0_LOCAL_MEMORY_ILMB_BRAM_IF_CNTLR_WRITE_ACCESS 2U
#define XPAR_MICROBLAZE_0_LOCAL_MEMORY_ILMB_BRAM_IF_CNTLR_BASEADDR 0x00000000U
#define XPAR_MICROBLAZE_0_LOCAL_MEMORY_ILMB_BRAM_IF_CNTLR_HIGHADDR 0x0001FFFFU
#define XPAR_MICROBLAZE_0_LOCAL_MEMORY_ILMB_BRAM_IF_CNTLR_S_AXI_CTRL_BASEADDR 0xFFFFFFFFU 
#define XPAR_MICROBLAZE_0_LOCAL_MEMORY_ILMB_BRAM_IF_CNTLR_S_AXI_CTRL_HIGHADDR 0xFFFFFFFFU 


/******************************************************************/

/* Canonical definitions for peripheral MICROBLAZE_0_LOCAL_MEMORY_DLMB_BRAM_IF_CNTLR */
#define XPAR_BRAM_0_DEVICE_ID XPAR_MICROBLAZE_0_LOCAL_MEMORY_DLMB_BRAM_IF_CNTLR_DEVICE_ID
#define XPAR_BRAM_0_DATA_WIDTH 32U
#define XPAR_BRAM_0_ECC 0U
#define XPAR_BRAM_0_FAULT_INJECT 0U
#define XPAR_BRAM_0_CE_FAILING_REGISTERS 0U
#define XPAR_BRAM_0_UE_FAILING_REGISTERS 0U
#define XPAR_BRAM_0_ECC_STATUS_REGISTERS 0U
#define XPAR_BRAM_0_CE_COUNTER_WIDTH 0U
#define XPAR_BRAM_0_ECC_ONOFF_REGISTER 0U
#define XPAR_BRAM_0_ECC_ONOFF_RESET_VALUE 1U
#define XPAR_BRAM_0_WRITE_ACCESS 2U
#define XPAR_BRAM_0_BASEADDR 0x00000000U
#define XPAR_BRAM_0_HIGHADDR 0x0001FFFFU

/* Canonical definitions for peripheral MICROBLAZE_0_LOCAL_MEMORY_ILMB_BRAM_IF_CNTLR */
#define XPAR_BRAM_1_DEVICE_ID XPAR_MICROBLAZE_0_LOCAL_MEMORY_ILMB_BRAM_IF_CNTLR_DEVICE_ID
#define XPAR_BRAM_1_DATA_WIDTH 32U
#define XPAR_BRAM_1_ECC 0U
#define XPAR_BRAM_1_FAULT_INJECT 0U
#define XPAR_BRAM_1_CE_FAILING_REGISTERS 0U
#define XPAR_BRAM_1_UE_FAILING_REGISTERS 0U
#define XPAR_BRAM_1_ECC_STATUS_REGISTERS 0U
#define XPAR_BRAM_1_CE_COUNTER_WIDTH 0U
#define XPAR_BRAM_1_ECC_ONOFF_REGISTER 0U
#define XPAR_BRAM_1_ECC_ONOFF_RESET_VALUE 1U
#define XPAR_BRAM_1_WRITE_ACCESS 2U
#define XPAR_BRAM_1_BASEADDR 0x00000000U
#define XPAR_BRAM_1_HIGHADDR 0x0001FFFFU


/******************************************************************/

#define XPAR_INTC_MAX_NUM_INTR_INPUTS 18
#define XPAR_XINTC_HAS_IPR 1
#define XPAR_XINTC_HAS_SIE 1
#define XPAR_XINTC_HAS_CIE 1
#define XPAR_XINTC_HAS_IVR 1
/* Definitions for driver INTC */
#define XPAR_XINTC_NUM_INSTANCES 1

/* Definitions for peripheral MICROBLAZE_0_AXI_INTC */
#define XPAR_MICROBLAZE_0_AXI_INTC_DEVICE_ID 0
#define XPAR_MICROBLAZE_0_AXI_INTC_BASEADDR 0x41200000
#define XPAR_MICROBLAZE_0_AXI_INTC_HIGHADDR 0x4120FFFF
#define XPAR_MICROBLAZE_0_AXI_INTC_KIND_OF_INTR 0xFFFC5105
#define XPAR_MICROBLAZE_0_AXI_INTC_HAS_FAST 1
#define XPAR_MICROBLAZE_0_AXI_INTC_IVAR_RESET_VALUE 0x00000010
#define XPAR_MICROBLAZE_0_AXI_INTC_NUM_INTR_INPUTS 18


/******************************************************************/

#define XPAR_INTC_SINGLE_BASEADDR 0x41200000
#define XPAR_INTC_SINGLE_HIGHADDR 0x4120FFFF
#define XPAR_INTC_SINGLE_DEVICE_ID XPAR_MICROBLAZE_0_AXI_INTC_DEVICE_ID
#define XPAR_MICROBLAZE_0_AXI_INTC_TYPE 0U
#define XPAR_MDM_1_INTERRUPT_MASK 0X000001U
#define XPAR_MICROBLAZE_0_AXI_INTC_MDM_1_INTERRUPT_INTR 0U
#define XPAR_AXI_TIMER_0_INTERRUPT_MASK 0X000002U
#define XPAR_MICROBLAZE_0_AXI_INTC_AXI_TIMER_0_INTERRUPT_INTR 1U
#define XPAR_PORT1C_AXI_ETHERNET_MAC_IRQ_MASK 0X000004U
#define XPAR_MICROBLAZE_0_AXI_INTC_PORT1C_AXI_ETHERNET_MAC_IRQ_INTR 2U
#define XPAR_PORT1C_AXI_ETHERNET_INTERRUPT_MASK 0X000008U
#define XPAR_MICROBLAZE_0_AXI_INTC_PORT1C_AXI_ETHERNET_INTERRUPT_INTR 3U
#define XPAR_PORT1C_AXI_DMA_MM2S_INTROUT_MASK 0X000010U
#define XPAR_MICROBLAZE_0_AXI_INTC_PORT1C_AXI_DMA_MM2S_INTROUT_INTR 4U
#define XPAR_PORT1C_AXI_DMA_S2MM_INTROUT_MASK 0X000020U
#define XPAR_MICROBLAZE_0_AXI_INTC_PORT1C_AXI_DMA_S2MM_INTROUT_INTR 5U
#define XPAR_PORT2B_AXI_DMA_MM2S_INTROUT_MASK 0X000040U
#define XPAR_MICROBLAZE_0_AXI_INTC_PORT2B_AXI_DMA_MM2S_INTROUT_INTR 6U
#define XPAR_PORT2B_AXI_DMA_S2MM_INTROUT_MASK 0X000080U
#define XPAR_MICROBLAZE_0_AXI_INTC_PORT2B_AXI_DMA_S2MM_INTROUT_INTR 7U
#define XPAR_PORT2B_AXI_ETHERNET_MAC_IRQ_MASK 0X000100U
#define XPAR_MICROBLAZE_0_AXI_INTC_PORT2B_AXI_ETHERNET_MAC_IRQ_INTR 8U
#define XPAR_PORT2B_AXI_ETHERNET_INTERRUPT_MASK 0X000200U
#define XPAR_MICROBLAZE_0_AXI_INTC_PORT2B_AXI_ETHERNET_INTERRUPT_INTR 9U
#define XPAR_PORT3A_AXI_DMA_MM2S_INTROUT_MASK 0X000400U
#define XPAR_MICROBLAZE_0_AXI_INTC_PORT3A_AXI_DMA_MM2S_INTROUT_INTR 10U
#define XPAR_PORT3A_AXI_DMA_S2MM_INTROUT_MASK 0X000800U
#define XPAR_MICROBLAZE_0_AXI_INTC_PORT3A_AXI_DMA_S2MM_INTROUT_INTR 11U
#define XPAR_PORT3A_AXI_ETHERNET_MAC_IRQ_MASK 0X001000U
#define XPAR_MICROBLAZE_0_AXI_INTC_PORT3A_AXI_ETHERNET_MAC_IRQ_INTR 12U
#define XPAR_PORT3A_AXI_ETHERNET_INTERRUPT_MASK 0X002000U
#define XPAR_MICROBLAZE_0_AXI_INTC_PORT3A_AXI_ETHERNET_INTERRUPT_INTR 13U
#define XPAR_PORT0D_AXI_ETHERNET_MAC_IRQ_MASK 0X004000U
#define XPAR_MICROBLAZE_0_AXI_INTC_PORT0D_AXI_ETHERNET_MAC_IRQ_INTR 14U
#define XPAR_PORT0D_AXI_ETHERNET_INTERRUPT_MASK 0X008000U
#define XPAR_MICROBLAZE_0_AXI_INTC_PORT0D_AXI_ETHERNET_INTERRUPT_INTR 15U
#define XPAR_PORT0D_AXI_DMA_MM2S_INTROUT_MASK 0X010000U
#define XPAR_MICROBLAZE_0_AXI_INTC_PORT0D_AXI_DMA_MM2S_INTROUT_INTR 16U
#define XPAR_PORT0D_AXI_DMA_S2MM_INTROUT_MASK 0X020000U
#define XPAR_MICROBLAZE_0_AXI_INTC_PORT0D_AXI_DMA_S2MM_INTROUT_INTR 17U

/******************************************************************/

/* Canonical definitions for peripheral MICROBLAZE_0_AXI_INTC */
#define XPAR_INTC_0_DEVICE_ID XPAR_MICROBLAZE_0_AXI_INTC_DEVICE_ID
#define XPAR_INTC_0_BASEADDR 0x41200000U
#define XPAR_INTC_0_HIGHADDR 0x4120FFFFU
#define XPAR_INTC_0_KIND_OF_INTR 0xFFFC5105U
#define XPAR_INTC_0_HAS_FAST 1U
#define XPAR_INTC_0_IVAR_RESET_VALUE 0x00000010U
#define XPAR_INTC_0_NUM_INTR_INPUTS 18U
#define XPAR_INTC_0_INTC_TYPE 0U

#define XPAR_INTC_0_UARTLITE_0_VEC_ID XPAR_MICROBLAZE_0_AXI_INTC_MDM_1_INTERRUPT_INTR
#define XPAR_INTC_0_TMRCTR_0_VEC_ID XPAR_MICROBLAZE_0_AXI_INTC_AXI_TIMER_0_INTERRUPT_INTR
#define XPAR_INTC_0_AXIETHERNET_1_MAC_IRQ_VEC_ID XPAR_MICROBLAZE_0_AXI_INTC_PORT1C_AXI_ETHERNET_MAC_IRQ_INTR
#define XPAR_INTC_0_AXIETHERNET_1_VEC_ID XPAR_MICROBLAZE_0_AXI_INTC_PORT1C_AXI_ETHERNET_INTERRUPT_INTR
#define XPAR_INTC_0_AXIDMA_1_MM2S_INTROUT_VEC_ID XPAR_MICROBLAZE_0_AXI_INTC_PORT1C_AXI_DMA_MM2S_INTROUT_INTR
#define XPAR_INTC_0_AXIDMA_1_S2MM_INTROUT_VEC_ID XPAR_MICROBLAZE_0_AXI_INTC_PORT1C_AXI_DMA_S2MM_INTROUT_INTR
#define XPAR_INTC_0_AXIDMA_2_MM2S_INTROUT_VEC_ID XPAR_MICROBLAZE_0_AXI_INTC_PORT2B_AXI_DMA_MM2S_INTROUT_INTR
#define XPAR_INTC_0_AXIDMA_2_S2MM_INTROUT_VEC_ID XPAR_MICROBLAZE_0_AXI_INTC_PORT2B_AXI_DMA_S2MM_INTROUT_INTR
#define XPAR_INTC_0_AXIETHERNET_2_MAC_IRQ_VEC_ID XPAR_MICROBLAZE_0_AXI_INTC_PORT2B_AXI_ETHERNET_MAC_IRQ_INTR
#define XPAR_INTC_0_AXIETHERNET_2_VEC_ID XPAR_MICROBLAZE_0_AXI_INTC_PORT2B_AXI_ETHERNET_INTERRUPT_INTR
#define XPAR_INTC_0_AXIDMA_3_MM2S_INTROUT_VEC_ID XPAR_MICROBLAZE_0_AXI_INTC_PORT3A_AXI_DMA_MM2S_INTROUT_INTR
#define XPAR_INTC_0_AXIDMA_3_S2MM_INTROUT_VEC_ID XPAR_MICROBLAZE_0_AXI_INTC_PORT3A_AXI_DMA_S2MM_INTROUT_INTR
#define XPAR_INTC_0_AXIETHERNET_3_MAC_IRQ_VEC_ID XPAR_MICROBLAZE_0_AXI_INTC_PORT3A_AXI_ETHERNET_MAC_IRQ_INTR
#define XPAR_INTC_0_AXIETHERNET_3_VEC_ID XPAR_MICROBLAZE_0_AXI_INTC_PORT3A_AXI_ETHERNET_INTERRUPT_INTR
#define XPAR_INTC_0_AXIETHERNET_0_MAC_IRQ_VEC_ID XPAR_MICROBLAZE_0_AXI_INTC_PORT0D_AXI_ETHERNET_MAC_IRQ_INTR
#define XPAR_INTC_0_AXIETHERNET_0_VEC_ID XPAR_MICROBLAZE_0_AXI_INTC_PORT0D_AXI_ETHERNET_INTERRUPT_INTR
#define XPAR_INTC_0_AXIDMA_0_MM2S_INTROUT_VEC_ID XPAR_MICROBLAZE_0_AXI_INTC_PORT0D_AXI_DMA_MM2S_INTROUT_INTR
#define XPAR_INTC_0_AXIDMA_0_S2MM_INTROUT_VEC_ID XPAR_MICROBLAZE_0_AXI_INTC_PORT0D_AXI_DMA_S2MM_INTROUT_INTR

/******************************************************************/

/* Definitions for driver MIG_7SERIES */
#define XPAR_XMIG7SERIES_NUM_INSTANCES 1U

/* Definitions for peripheral MIG_7SERIES_0 */
#define XPAR_MIG_7SERIES_0_DEVICE_ID 0U
#define XPAR_MIG_7SERIES_0_DDR3_ROW_WIDTH 16U
#define XPAR_MIG_7SERIES_0_DDR3_COL_WIDTH 0U
#define XPAR_MIG_7SERIES_0_DDR3_BANK_WIDTH 3U
#define XPAR_MIG_7SERIES_0_DDR3_DQ_WIDTH 64U


/******************************************************************/


/* Definitions for peripheral MIG_7SERIES_0 */
#define XPAR_MIG_7SERIES_0_BASEADDR 0x80000000
#define XPAR_MIG_7SERIES_0_HIGHADDR 0xFFFFFFFF


/******************************************************************/

/* Canonical definitions for peripheral MIG_7SERIES_0 */
#define XPAR_MIG7SERIES_0_DEVICE_ID XPAR_MIG_7SERIES_0_DEVICE_ID
#define XPAR_MIG7SERIES_0_DDR_ROW_WIDTH 16U
#define XPAR_MIG7SERIES_0_DDR_COL_WIDTH 0U
#define XPAR_MIG7SERIES_0_DDR_BANK_WIDTH 3U
#define XPAR_MIG7SERIES_0_DDR_DQ_WIDTH 64U
#define XPAR_MIG7SERIES_0_BASEADDR 0x80000000U
#define XPAR_MIG7SERIES_0_HIGHADDR 0xFFFFFFFFU


/******************************************************************/

/* Definitions for driver TMRCTR */
#define XPAR_XTMRCTR_NUM_INSTANCES 1U

/* Definitions for peripheral AXI_TIMER_0 */
#define XPAR_AXI_TIMER_0_DEVICE_ID 0U
#define XPAR_AXI_TIMER_0_BASEADDR 0x41C00000U
#define XPAR_AXI_TIMER_0_HIGHADDR 0x41C0FFFFU
#define XPAR_AXI_TIMER_0_CLOCK_FREQ_HZ 100000000U


/******************************************************************/

/* Canonical definitions for peripheral AXI_TIMER_0 */
#define XPAR_TMRCTR_0_DEVICE_ID 0U
#define XPAR_TMRCTR_0_BASEADDR 0x41C00000U
#define XPAR_TMRCTR_0_HIGHADDR 0x41C0FFFFU
#define XPAR_TMRCTR_0_CLOCK_FREQ_HZ XPAR_AXI_TIMER_0_CLOCK_FREQ_HZ

/******************************************************************/

/* Definitions for driver UARTLITE */
#define XPAR_XUARTLITE_NUM_INSTANCES 1

/* Definitions for peripheral MDM_1 */
#define XPAR_MDM_1_BASEADDR 0x41400000
#define XPAR_MDM_1_HIGHADDR 0x41400FFF
#define XPAR_MDM_1_DEVICE_ID 0
#define XPAR_MDM_1_BAUDRATE 0
#define XPAR_MDM_1_USE_PARITY 0
#define XPAR_MDM_1_ODD_PARITY 0
#define XPAR_MDM_1_DATA_BITS 0


/******************************************************************/

/* Canonical definitions for peripheral MDM_1 */
#define XPAR_UARTLITE_0_DEVICE_ID XPAR_MDM_1_DEVICE_ID
#define XPAR_UARTLITE_0_BASEADDR 0x41400000
#define XPAR_UARTLITE_0_HIGHADDR 0x41400FFF
#define XPAR_UARTLITE_0_BAUDRATE 0
#define XPAR_UARTLITE_0_USE_PARITY 0
#define XPAR_UARTLITE_0_ODD_PARITY 0
#define XPAR_UARTLITE_0_DATA_BITS 0


/******************************************************************/

#endif  /* end of protection macro */
