set_property -dict { PACKAGE_PIN "C26"    IOSTANDARD LVCMOS33   SLEW FAST   PULLDOWN True} [get_ports { reset }];
set_property -dict { PACKAGE_PIN "F22"    IOSTANDARD LVCMOS33   SLEW FAST} [get_ports { sys_clock }]     ; 

###################################################################################################################
#                                                 Port A                                                          #
###################################################################################################################

set_property -dict { PACKAGE_PIN "G19"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { rgmii_a_td[0] }];      
set_property -dict { PACKAGE_PIN "F20"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { rgmii_a_td[1] }];      
set_property -dict { PACKAGE_PIN "H17"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { rgmii_a_td[2] }];      
set_property -dict { PACKAGE_PIN "H18"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { rgmii_a_td[3] }];      

set_property -dict { PACKAGE_PIN "E20"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { rgmii_a_rd[0] }];      
set_property -dict { PACKAGE_PIN "D15"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { rgmii_a_rd[1] }];      
set_property -dict { PACKAGE_PIN "D16"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { rgmii_a_rd[2] }];      
set_property -dict { PACKAGE_PIN "E15"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { rgmii_a_rd[3] }];      

set_property -dict { PACKAGE_PIN "K18"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { mdio_a_mdio_io }];     
set_property -dict { PACKAGE_PIN "L17"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { mdio_a_mdc }];         

set_property -dict { PACKAGE_PIN "G20"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { reset_a }];              

set_property -dict { PACKAGE_PIN "H19"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { rgmii_a_tx_ctl }];    
set_property -dict { PACKAGE_PIN "F18"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { rgmii_a_txc }];        

set_property -dict { PACKAGE_PIN "F17"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { rgmii_a_rxc }];     
set_property -dict { PACKAGE_PIN "F19"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { rgmii_a_rx_ctl }]; 

###################################################################################################################
#                                                 Port B                                                          #
###################################################################################################################

set_property -dict { PACKAGE_PIN "G15"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { rgmii_b_td[0] }];      
set_property -dict { PACKAGE_PIN "J15"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { rgmii_b_td[1] }];      
set_property -dict { PACKAGE_PIN "C19"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { rgmii_b_td[2] }];      
set_property -dict { PACKAGE_PIN "B19"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { rgmii_b_td[3] }];      

set_property -dict { PACKAGE_PIN "G16"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { rgmii_b_rd[0] }];      
set_property -dict { PACKAGE_PIN "D18"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { rgmii_b_rd[1] }];      
set_property -dict { PACKAGE_PIN "K16"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { rgmii_b_rd[2] }];      
set_property -dict { PACKAGE_PIN "H16"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { rgmii_b_rd[3] }];      

set_property -dict { PACKAGE_PIN "F15"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { mdio_b_mdio_io }];     
set_property -dict { PACKAGE_PIN "D20"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { mdio_b_mdc }];         

set_property -dict { PACKAGE_PIN "J16"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { reset_b }];              

set_property -dict { PACKAGE_PIN "D19"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { rgmii_b_tx_ctl }];    
set_property -dict { PACKAGE_PIN "C18"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { rgmii_b_txc }];        

set_property -dict { PACKAGE_PIN "E18"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { rgmii_b_rxc }];     
set_property -dict { PACKAGE_PIN "E17"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { rgmii_b_rx_ctl }];  

###################################################################################################################
#                                                 Port C                                                          #
###################################################################################################################   

set_property -dict { PACKAGE_PIN "L19"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { rgmii_c_td[0] }];      
set_property -dict { PACKAGE_PIN "K20"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { rgmii_c_td[1] }];      
set_property -dict { PACKAGE_PIN "L20"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { rgmii_c_td[2] }];      
set_property -dict { PACKAGE_PIN "T18"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { rgmii_c_td[3] }];      

set_property -dict { PACKAGE_PIN "AE25"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { rgmii_c_rd[0] }];      
set_property -dict { PACKAGE_PIN "V26"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { rgmii_c_rd[1] }];      
set_property -dict { PACKAGE_PIN "V23"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { rgmii_c_rd[2] }];      
set_property -dict { PACKAGE_PIN "V24"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { rgmii_c_rd[3] }];      

set_property -dict { PACKAGE_PIN "J19"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { mdio_c_mdio_io }];     
set_property -dict { PACKAGE_PIN "J18"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { mdio_c_mdc }];         

set_property -dict { PACKAGE_PIN "T19"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { reset_c }];              

set_property -dict { PACKAGE_PIN "J20"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { rgmii_c_tx_ctl }];    
set_property -dict { PACKAGE_PIN "L18"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { rgmii_c_txc }];        

set_property -dict { PACKAGE_PIN "Y23"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { rgmii_c_rxc }];     
set_property -dict { PACKAGE_PIN "AD25"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { rgmii_c_rx_ctl }];    

###################################################################################################################
#                                                 Port D                                                          #
###################################################################################################################

set_property -dict { PACKAGE_PIN "W20"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { rgmii_d_td[0] }];      
set_property -dict { PACKAGE_PIN "W26"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { rgmii_d_td[1] }];    
set_property -dict { PACKAGE_PIN "W25"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { rgmii_d_td[2] }];      
set_property -dict { PACKAGE_PIN "M17"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { rgmii_d_td[3] }];      

set_property -dict { PACKAGE_PIN "W21"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { rgmii_d_rd[0] }];   
set_property -dict { PACKAGE_PIN "AB25"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { rgmii_d_rd[1] }];  
set_property -dict { PACKAGE_PIN "V21"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { rgmii_d_rd[2] }];     
set_property -dict { PACKAGE_PIN "Y26"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { rgmii_d_rd[3] }];     

set_property -dict { PACKAGE_PIN "AA25"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { mdio_d_mdio_io }];   
set_property -dict { PACKAGE_PIN "AD26"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { mdio_d_mdc }];       

set_property -dict { PACKAGE_PIN "AE26"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { reset_d }];             

set_property -dict { PACKAGE_PIN "AB24"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { rgmii_d_tx_ctl }];    
set_property -dict { PACKAGE_PIN "AA24"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { rgmii_d_txc }];        

set_property -dict { PACKAGE_PIN "AA23"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { rgmii_d_rxc }];      
set_property -dict { PACKAGE_PIN "Y21"    IOSTANDARD LVCMOS33       SLEW FAST} [get_ports { rgmii_d_rx_ctl }];      